#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
cvs=$(date +%Y%m%d)cvs
name=jmod
version=0.9

cd "$tmp"
cvs -z3 -d:pserver:guest@cvs.dev.java.net:/cvs checkout -r 1.1 $name
find ./$name -type d -name CVS -print0 | xargs -0r rm -rf
mv $name $name-$version
tar jcf "$pwd"/$name-$version.tar.bz2 $name-$version
echo "Written: $name-$version.tar.bz2"
cd - >/dev/null
