%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}
Name:           jmod
Summary:        Java Sound MODules Library
Group:          Development/Libraries
Version:        0.9
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://jmod.dev.java.net/
# The upstream removed the sources tarball from their website.
# We extract it from their cvs.
Source0:        %{name}-%{version}.tar.bz2
Source9:        %{name}-snapshot.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:    jpackage-utils
BuildRequires:    java-devel >= 1.7
%if %{with_gcj}
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:        noarch
%endif
Requires:         jpackage-utils
Requires:         java >= 1.7


%description
Sound Modules (MODs) are music files that contain samples and replaying
information. They are known from the Amiga and other computer systems and are 
able to offer high quality music togehter with small file sizes. The Java
Sound Modules Player library is able to load, decode and replay such files
using standard Java Sound. This library supports .MOD, .XM, .S3M, .IT and .ZIP
module formats.

JMOD is a fork of the project ANA-MP. The main differences are that JMOD is a
library that is really small, fast and efficient (no GUI or other fancy
features that aren't necessary for a replaying library).

The JMOD library can be added to own projects and included into an existing GUI
there.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# Remove precompiled binaries
find . -name "*.jar" -exec rm {} \;

%build
# create outputdir
install -dm 755 classes
%javac -d classes `find ./ -name \*.java`
%jar cf %{name}.jar -C classes .
%javadoc -d doc `find ./ -name \*.java`

%install
rm -rf %{buildroot}
# jars
install -dm 755 %{buildroot}%{_javadir}
install -pm 644 %{name}.jar \
        %{buildroot}%{_javadir}/%{name}-%{version}.jar
(
cd %{buildroot}%{_javadir}
for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
done
)

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/* %{buildroot}%{_javadocdir}/%{name}

# startscript demo
install -dm 755 %{buildroot}%{_bindir}
cat > %{name} << EOF
#!/bin/sh

# source the jpackage helpers
VERBOSE=1
. %{_javadir}-utils/java-functions

# set JAVA_* environment variables
set_javacmd
check_java_env
set_jvm_dirs

CLASSPATH=\`build-classpath %{name}\`
MAIN_CLASS="examples.cli.Player"

run \$@
EOF
install -m 755 %{name} %{buildroot}%{_bindir}

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc www/* src/examples/
%{_bindir}/%{name}
%{_javadir}/*.jar
%if %{with_gcj}
%{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Wed Mar 25 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.9-1
- Initial build for Fedora. SPEC file adapted from SUSE.

* Wed Mar 14 2007 Toni Graffy <toni@links2linux.de> - 0.9-0.pm.1
- First packaged release 0.9
